
</style>

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from cobradores") or die(mysql_error());
	?>


    <div class="container-fluid">
   <?php include_once("../barra_lateral.php")?>  

        
		<div class="row">
			<div class="col-md-12">
			    <h3>Registro de cobradores</h3>
				<a class="btn btn-sm btn-success mb-2" href="javascript:void(0)" onClick="modalcobrador()"><i class="fa fa-plus"></i> Registrar un nuevo cobrador</a>
        <script type="text/javascript">
          function modalcobrador(){
            $("#modalCobradores").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
				<div class="table-responsive">
					<table class="table table-sm table-borderred" data-page-length='8'>
						<thead>
							<th># Cobrador</th>
							<th>Nombre/Apell. </th>
              <th>Telefono</th>
             
              <th>Estado</th>
              <th>Opciones</th>
						</thead>
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){?>
							<tr>
								<td><?php echo $r["id_cobrador"]?></td>
								<td><?php echo $r["nombre"]?></td>
                <td><?php echo $r["telefono"]?></td>
              <td><?php echo state($r["estado_cobrador"])?></td>
               <td><a class="btn btn-sm btn-warning mb-2" href="#modalCobradores" data-toggle="modal" onClick='ver(<?php echo $r["id_cobrador"]?>)'><i class="fa fa-eye"></i></a></td>
							</tr>
                                                        <?php }?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalCobradores" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-user"></i> Registro de cobradores</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre" name="nombre" value="">
          </div>
        </div>
			  
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Cedula</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="cedula" name="cedula" value="">
          </div>
        </div>

        <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Telefono</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="telefono" name="telefono" value="">
          </div>
        </div>

           <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Direccion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="direccion" name="direccion" value="">
          </div>
        </div>


        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Activo</strong></label>
          <div class="col-sm-1">
            <input autocomplete="off" type="checkbox"  id="estado" name="estado" value="1" class="mt-2">
          </div>
        </div>

  


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_cobrador()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_cobrador="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from cobradores where id_cobrador='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_cobrador= rs.data[i].id_cobrador;             
                    $("#nombre").val(rs.data[i].nombre);
                    $("#cedula").val(rs.data[i].cedula);
                    $("#id").val(rs.data[i].id_cobrador);
                    $("#telefono").val(rs.data[i].telefono);
                    $("#direccion").val(rs.data[i].direccion);
                    var estado = (rs.data[i].estado_cobrador)
                    if(estado=="1"){  
                      $("#estado").prop("checked",true);
                      }else{
                        $("#estado").prop("checked",false);
                      }
                    //$("#nivel option[value='"+rs.data[i].nivel+"']").prop('selected', true);
                  

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_cobrador(){
     if(!confirm("Seguro(a) que desea registrar este cobrador?")){return;}                   
    
     var nombre = $("#nombre").val();
     var cedula = $("#cedula").val();
     var telefono = $("#telefono").val();
     var direccion = $("#direccion").val();
     if( $('#estado').prop('checked') ) {
       estado="1";
    }else{
      estado="0";
    }



     if(nombre==""){msg('Faltan datos'); return}
    var sql="";                            
        if(id_cobrador==""){
            sql="INSERT INTO cobradores set ";
            sql+="nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'"; 
            sql+=", estado_cobrador='"+estado+"'"; 

        }else{
            sql="UPDATE cobradores set";
            sql+=" nombre='"+nombre+"'";
            sql+=", cedula='"+cedula+"'";
            sql+=", telefono='"+telefono+"'";
            sql+=", direccion='"+direccion+"'"; 
            sql+=", estado_cobrador='"+estado+"'"; 
            sql+=" WHERE id_cobrador='"+id_cobrador+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_cobrador="";
         $("#modalCobradores").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_cobrador==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from cobradores where id_cobrador='"+id_cobrador+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_cobrador="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



$(".table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
         
        </script>

